﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="FlickrLibDemo._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>FlickrLib Demo Page</title>
    <link rel="stylesheet" href="general.css" type="text/css" media="screen" />  
    <script src="jquery-1.2.6.min.js" type="text/javascript"></script>
    <script src="popup.js" type="text/javascript"></script>
    
    <script type="text/javascript">
        function PopupPicture(url, title) {
            $("#theImage").attr({ src: url });
            $("#theTitle").text(title);
            loadPopup();
            centerPopup();
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <h1>FlickrLib Demo Page</h1>

    <p>
    This is the demo page for the FlickrLib library. This demo page is hard-coded to show pictures 
    from own photosets but you can customize the source code to load from your own Flickr photosets.
    </p>
    
    <p>
    FlickrLib is a light-weight C# class library that allows you to download picture information from Flick
    using Flickr's own API. Source code and more information about this library can be found at <a href="http://hectorcorrea.com/blog/FlickLib.aspx" target="_blank">http://hectorcorrea.com/blog/FlickLib.aspx</a>
    </p>
    
    <p>
    The cool fading effect when clicking on a picture is courtesy of <a href="http://yensdesign.com/2008/10/create-a-professional-interface-for-your-web-applications-using-jquery/" target="_blank">yensdesign</a>
    </p>
    
    <p>
        <b>Select a photoset to view</b> 
        <asp:DropDownList ID="cboPhotoSets" runat="server" onselectedindexchanged="cboPhotoSets_SelectedIndexChanged" 
        AutoPostBack="True" Width="197px"></asp:DropDownList>
    </p>

    <p>
        <asp:Label ID="lblPhotosMsg" runat="server"></asp:Label>
        <asp:DataList ID="listPhotos" runat="server" 
        RepeatDirection="Horizontal" RepeatColumns="5"
        ItemStyle-BorderWidth="10px"
        ItemStyle-VerticalAlign="Top" 
        ItemStyle-BorderColor="Transparent"
        onitemdatabound="listPhotos_ItemDataBound">
        <ItemTemplate>
            <asp:Label ID="Label1" Text=<%# Eval("Title") %> runat="server"/><br /><br />
            <asp:HyperLink ID="HyperLink1" runat="server" >
            <asp:Image ID="Image2" ImageUrl=<%# Eval("UrlThumb") %>
                onclick=<%# "PopupPicture(\"" + Eval("Url") + "\", \"" + Eval("Title") + "\" );" %>
                runat="server"/>
            </asp:HyperLink>
        </ItemTemplate>
        </asp:DataList>
    </p>

	<div id="popupContact" style="width:75%; height:90%">
		<a id="popupContactClose">x</a>
		<p id="theTitle">Title of Picture</p> 		
            <p id="contactArea">
            <img id="theImage" src="tobereplaced.jpg" alt=""/>
		    </p>
	</div>
	<div id="backgroundPopup"></div>

    </form>
</body>
</html>
